@use './styles/calendar-datepicker.variations' as variations;
@use './styles/calendar-datepicker.variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
	@include digi-calendar-datepicker--variables;
	$base: '.digi-calendar-datepicker';

	.digi-calendar-datepicker {
		&__input-field {
			position: relative;
			max-width: var(--digi--datepicker--max-width);
			#{$base}__inactive {
				--digi--form-input--background--empty: var(--digi--datepicker--input--inactive-background);
			}
			#{$base}__input-button {
				position: absolute;
				top: 0px;
				bottom: 0px;
				right: 0px;
				background: none;
				color: inherit;
				border: none;
				padding: 0;
				font: inherit;
				outline: inherit;
				cursor: pointer;
				#{$base}__button-icon {
					width: var(--digi--datepicker--input-icon--width);
					padding: var(--digi--datepicker--input-icon--vertical-padding) var(--digi--datepicker--input-icon--horizontal-padding);
				}
				&:focus-visible {
					outline: var(--digi--datepicker--focus-outline);
				}
			}
		}
		&__calendar {
			max-width: var(--digi--datepicker--calendar--max-width);
			height: 0px;
			border-radius: var(--digi--datepicker--border-radius);
			overflow: hidden;
			z-index: 1;
		}
		&__show-week-numbers {
			#{$base}__calendar {
				max-width: var(--digi--datepicker--calendar--show-week--max-width);
			}
		}
		&__show-error {
			#{$base}__calendar {
				margin-top: var(--digi--gutter--medium);
			}
		}
		&__show-calendar {
			#{$base}__calendar {
				height: auto;
				background-color: #fff;
				box-shadow: var(--digi--datepicker--calendar-shadow);
				position: absolute;
			}
		}
		&__input-component {
			--digi--form-input--padding: 0 var(--digi--datepicker--input--inline-end) 0 var(--digi--datepicker--input--inline-start);
		}
	}
}
